Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.presentation
Interface IPresentationRepairer

All Known Implementing Classes:
  DefaultDamagerRepairer

public interface IPresentationRepairer

A presentation repairer is a strategy used by a presentation reconciler to rebuild a damaged region in a document's presentation. A presentation repairer is assumed to be specific for a particular document content type. The presentation repairer gets the region which it should repair and constructs a "repair description". The presentation repairer merges the steps contained within this description into the text presentation passed into `createPresentation`.

This interface may be implemented by clients. Alternatively, clients may use the rule-based default implementation `DefaultDamagerRepairer`. Implementers should be registered with a presentation reconciler in order get involved in the reconciling process.

See Also:
  `IPresentationReconciler`, `IDocument`, `StyleRange`, `TextPresentation`

Method Summary
`void` | `createPresentation(TextPresentation presentation, ITypedRegion damage)` Fills the given presentation with the style ranges which when applied to the presentation reconciler's text viewer repair the presentational damage described by the given region.
`void` | `setDocument(IDocument document)` Tells the presentation repairer on which document it will work.

Method Detail

### setDocument

    public void setDocument(IDocument document)

  Tells the presentation repairer on which document it will work.

  Parameters:
    `document` - the damager's working document

### createPresentation

    public void createPresentation(TextPresentation presentation,
                                   ITypedRegion damage)

  Fills the given presentation with the style ranges which when applied to the presentation reconciler's text viewer repair the presentational damage described by the given region.

  Parameters:
    `presentation` - the text presentation to be filled by this repairer
    `damage` - the damage to be repaired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.